Package io.dapr.v1

# Interface DaprProtos.InvokeBindingRequestOrBuilder

All Superinterfaces:
  `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`

All Known Implementing Classes:
  `DaprProtos.InvokeBindingRequest`, `DaprProtos.InvokeBindingRequest.Builder`

Enclosing class:
  DaprProtos

    public static interface DaprProtos.InvokeBindingRequestOrBuilder
    extends com.google.protobuf.MessageOrBuilder

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `boolean` | `containsMetadata​(java.lang.String key)` | The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
  `com.google.protobuf.ByteString` | `getData()` | The data which will be sent to output binding.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadata()` | Deprecated.
  `int` | `getMetadataCount()` | The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
  `java.util.Map<java.lang.String,​java.lang.String>` | `getMetadataMap()` | The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
  `java.lang.String` | `getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)` | The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
  `java.lang.String` | `getMetadataOrThrow​(java.lang.String key)` | The metadata passing to output binding components Common metadata property: - ttlInSeconds : the time to live in seconds for the message.
  `java.lang.String` | `getName()` | The name of the output binding to invoke.
  `com.google.protobuf.ByteString` | `getNameBytes()` | The name of the output binding to invoke.
  `java.lang.String` | `getOperation()` | The name of the operation type for the binding to invoke
  `com.google.protobuf.ByteString` | `getOperationBytes()` | The name of the operation type for the binding to invoke

  ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

  `isInitialized`

  ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

  `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- ## Method Details

  - ### getName

    java.lang.String getName()

         The name of the output binding to invoke.

    `string name = 1;`
    Returns:
      The name.

  - ### getNameBytes

    com.google.protobuf.ByteString getNameBytes()

         The name of the output binding to invoke.

    `string name = 1;`
    Returns:
      The bytes for name.

  - ### getData

    com.google.protobuf.ByteString getData()

         The data which will be sent to output binding.

    `bytes data = 2;`
    Returns:
      The data.

  - ### getMetadataCount

    int getMetadataCount()

         The metadata passing to output binding components

         Common metadata property:
         - ttlInSeconds : the time to live in seconds for the message.
         If set in the binding definition will cause all messages to
         have a default time to live. The message ttl overrides any value
         in the binding definition.

    `map<string, string> metadata = 3;`

  - ### containsMetadata

    boolean containsMetadata​(java.lang.String key)

         The metadata passing to output binding components

         Common metadata property:
         - ttlInSeconds : the time to live in seconds for the message.
         If set in the binding definition will cause all messages to
         have a default time to live. The message ttl overrides any value
         in the binding definition.

    `map<string, string> metadata = 3;`

  - ### getMetadata

    @Deprecated java.util.Map<java.lang.String,​java.lang.String> getMetadata()
    Deprecated.
    Use `getMetadataMap()` instead.

  - ### getMetadataMap

    java.util.Map<java.lang.String,​java.lang.String> getMetadataMap()

         The metadata passing to output binding components

         Common metadata property:
         - ttlInSeconds : the time to live in seconds for the message.
         If set in the binding definition will cause all messages to
         have a default time to live. The message ttl overrides any value
         in the binding definition.

    `map<string, string> metadata = 3;`

  - ### getMetadataOrDefault

    java.lang.String getMetadataOrDefault​(java.lang.String key, java.lang.String defaultValue)

         The metadata passing to output binding components

         Common metadata property:
         - ttlInSeconds : the time to live in seconds for the message.
         If set in the binding definition will cause all messages to
         have a default time to live. The message ttl overrides any value
         in the binding definition.

    `map<string, string> metadata = 3;`

  - ### getMetadataOrThrow

    java.lang.String getMetadataOrThrow​(java.lang.String key)

         The metadata passing to output binding components

         Common metadata property:
         - ttlInSeconds : the time to live in seconds for the message.
         If set in the binding definition will cause all messages to
         have a default time to live. The message ttl overrides any value
         in the binding definition.

    `map<string, string> metadata = 3;`

  - ### getOperation

    java.lang.String getOperation()

         The name of the operation type for the binding to invoke

    `string operation = 4;`
    Returns:
      The operation.

  - ### getOperationBytes

    com.google.protobuf.ByteString getOperationBytes()

         The name of the operation type for the binding to invoke

    `string operation = 4;`
    Returns:
      The bytes for operation.